ADDDEBUG(1)

NOMBRE DE REFERENCIA
adddebug - Modifica archivo(s) Makefile(s) para añadir información de depurado

SINOPSIS

adddebug [-k] [-r] [-n]

DESCRIPCIÓN

adddebug modifica el archivo Makefile en el directorio actual (y opcionalmente en sus subdirectorios) para añadir información de depurado (-g3).También elimina las optimizaciones (-O[1-9]).

Esta herramienta forma parte del kit de desarrollo de KDE.

OPCIONES

-k
    Mantiene las optimizaciones (no elimina las opciones -O[1-9]? ausentes por omisión)

-r
    Busa recursivamente archivos Makefile a través de todos los subdirectorios del directorio actual.

-n
    Compila sin definir NDEBUG y NO_DEBUG (hace que funcionen las llamadas a kdDebug).

AUTOR

Ben Burton <bab@debian.org>
    Autor.